Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class ClassPathFinder

    java.lang.Object
      com.opensymphony.xwork2.util.ClassPathFinder

    public class ClassPathFinder

extends Object

This class is an utility class that will search through the classpath for files whose names match the given pattern. The filename is tested using the given implementation of `PatternMatcher` by default it uses `WildcardHelper`

Version:
  $Rev$ $Date$

Constructor Summary
`ClassPathFinder()`

Method Summary
`Vector<String>` | `findMatches()` Builds a `Vector` containing Strings which each name a file who's name matches the pattern set by setPattern(String).
`String` | `getPattern()` retrieves the pattern in use
`void` | `setPattern(String pattern)` sets the String pattern for comparing filenames
`void` | `setPatternMatcher(PatternMatcher<int[]> patternMatcher)` sets the PatternMatcher implementation to use when comparing filenames

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassPathFinder

    public ClassPathFinder()

Method Detail

### getPattern

    public String getPattern()

  retrieves the pattern in use

### setPattern

    public void setPattern(String pattern)

  sets the String pattern for comparing filenames

  Parameters:
    `pattern` -

### findMatches

    public Vector<String> findMatches()

  Builds a `Vector` containing Strings which each name a file who's name matches the pattern set by setPattern(String). The classpath is searched recursively, so use with caution.

  Returns:
    Vector containing matching filenames

### setPatternMatcher

    public void setPatternMatcher(PatternMatcher<int[]> patternMatcher)

  sets the PatternMatcher implementation to use when comparing filenames

  Parameters:
    `patternMatcher` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.